<?
include 'mysql.php';
include_once("include/zag.php");
include 'include/ini.php';
include 'include/sesi.php';
if (isset($user)) {

if(@file("MySql/base123/item/$log.dat")){
$file = @file("MySql/base123/item/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);
$i2=round($i+1);


if($data[2]=="petweapon"){
echo"<b><small><a href=\"odetpet.php?$sd&name=$data[4]&id=$i\">$data[4]</a></small></b> <small>- (М+$data[0])</small><br/>";}
if($data[2]=="pets"){
echo"<small><b>$data[4]</b> [$data[3]]</small><br/>";}
if($data[2]=="wolf"){
echo"<b><small><a href=\"wolf.php?$sd\">$data[4]</a></small></b><br/>";}
if($data[2]=="scrollweapon"){
echo"<b><small><a href=\"skroll.php?$sd&name=$data[4]&id=$i\">$data[4]</a></small></b> <small>- ($data[3] штук)</small><br/>";}
if($data[2]=="scrollnogi"){
echo"<b><small><a href=\"scroll1.php?$sd&name=$data[4]&id=$i\">$data[4]</a></small></b> <small>- ($data[3] штук)</small><br/>";}
if($data[2]=="vesh"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&name=$data[4]\">$data[4]</a></small></b> <small>- ($data[3] штук)</small><br/>";}
if($data[2]=="sheya"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="weapon"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="shit"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="body"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="nogi"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="golova"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="ykr"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="ryki"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="ring"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="ring1"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="4it"){
echo"<b><small><a href=\"odet.php?$sd&tip=$data[2]&id=$i\">$data[4]</a></small></b> <small>- [+$data[0]]</small>"; if($data[3]=="0"){echo"<small>(Грэйд: NG)</small><br/>";}else{echo"<small>(Грэйд: $data[3])</small><br/>";}}
if($data[2]=="vesh2"){
echo"<b><small><a href=\"tovesh.php?$sd&tip=$data[2]&name=$data[4]&id=$i\">$data[4]</a></small></b> <small>- ($data[3] штук) [+$data[0]]</small><br/>";}

}}else{echo"<small>У вас нет вещей.</small>";}

if($total>0){

$ba=ceil($total/5);
$ba2=$ba*5-5;

$asd=$start-(5*3);
$asd2=$start+(5*4);

if($asd<$total && $asd>0){echo ' <small><a href="itemall.php?start=0&'.$sd.'">1</a> ... </small>';}

for($i=$asd; $i<$asd2;){

if($i<$total && $i>=0){
$ii=floor(1+$i/5);

if ($start==$i) {
echo '<small> <b>('.$ii.')</b></small>';
}else{
echo ' <small><a href="itemall.php?start='.$i.'&'.$sd.'">'.$ii.'</a></small>';
}}

$i=$i+5;}
if($asd2<$total){echo '<small> ... <a href="itemall.php?start='.$ba2.'&'.$sd.'">'.$ba.'</a></small>';}
}


}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>




